Name:           perl-Unicode-Collate
Version:        1.20
Release:        1%{?dist}
Summary:        Unicode Collation Algorithm
# Collate/allkeys.txt:  Unicode (the file contains a link to
#                       <http://www.unicode.org/terms_of_use.html>)
# other files:          GPL+ or Artistic
License:        (GPL+ or Artistic) and Unicode
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Unicode-Collate/
Source0:        http://www.cpan.org/authors/id/S/SA/SADAHIRO/Unicode-Collate-%{version}.tar.gz
# Adapt to Perl without "." im @INC, CPAN RT#121664
Patch0:         Unicode-Collate-1.20-Fixes-for-removal-dot-from-INC.patch
BuildRequires:  gcc
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Unicode::Normalize)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Unicode::Normalize)
Conflicts:      perl < 4:5.22.0-347

%description
This package is Perl implementation of Unicode Technical Standard #10 (Unicode
Collation Algorithm).

%prep
%setup -q -n Unicode-Collate-%{version}
%patch0 -p1

# Remove pregenerated files
rm Collate/Locale/*
# Collate/CJK/Korean.pm is input for mklocale script, do not remove it here

%build
# Regenerate code from Collate/allkeys.txt whose authority is
# <http://www.unicode.org/Public/UCA/latest/allkeys.txt>
perl mklocale
mv Locale/*.pl Collate/Locale
mv Korean.pm Collate/CJK

perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unicode*
%{_mandir}/man3/*

%changelog
* Fri Nov 03 2017 Petr Pisar <ppisar@redhat.com> - 1.20-1
- 1.20 bump

* Mon May 15 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.19-3
- Fixes for removal '.' from @INC in Perl 5.26

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 05 2016 Petr Pisar <ppisar@redhat.com> - 1.19-1
- 1.19 bump

* Tue Nov 08 2016 Petr Pisar <ppisar@redhat.com> - 1.18-1
- 1.18 bump

* Mon Oct 31 2016 Petr Pisar <ppisar@redhat.com> - 1.17-1
- 1.17 bump

* Wed Oct 26 2016 Petr Pisar <ppisar@redhat.com> - 1.16-1
- 1.16 bump

* Mon Oct 24 2016 Petr Pisar <ppisar@redhat.com> - 1.15-1
- 1.15 bump

* Mon Sep 19 2016 Petr Pisar <ppisar@redhat.com> - 1.14-366
- License corrected to ((GPL+ or Artistic) and Unicode)

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.14-365
- Increase release to favour standalone package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Petr Pisar <ppisar@redhat.com> - 1.14-1
- 1.14 bump

* Thu Jul 02 2015 Petr Pisar <ppisar@redhat.com> 1.12-348
- Specfile autogenerated by cpanspec 1.78.
- Run mklocale only if not bootstrapping
